
/*
* Copyright (C) 2004-2014 Texas Instruments Incorporated - http://www.ti.com/
* All rights reserved.	
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#ifndef _CSLR__EMIFB_1_H_
#define _CSLR__EMIFB_1_H_

#include <cslr.h>

#include <tistdtypes.h>


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 ERCSR;
    volatile Uint32 SDRSTAT;
    volatile Uint32 SDCR;
    volatile Uint32 SDRCR;
    volatile Uint32 SDTIMR;
    volatile Uint32 SDTIMR2;
    volatile Uint8 RSVD0[4];
    volatile Uint32 SDRC2R;
    volatile Uint32 PBBPR;
    volatile Uint8 RSVD1[4];
    volatile Uint32 VBCFG1;
    volatile Uint32 VBCFG2;
    volatile Uint8 RSVD2[16];
    volatile Uint32 PERFC1R;
    volatile Uint32 PERFC2R;
    volatile Uint32 PCCR;
    volatile Uint32 PCMRSR;
    volatile Uint32 PCTR;
    volatile Uint8 RSVD3[12];
    volatile Uint32 IODFTGBLCTRL;
    volatile Uint32 IODFTMISRR;
    volatile Uint32 IODFTMISADDRRR;
    volatile Uint32 IODFTMISR1R;
    volatile Uint32 IODFTMISR2R;
    volatile Uint32 IODFTMISR3R;
    volatile Uint8 RSVD4[8];
    volatile Uint32 ASYNCCS2CR;
    volatile Uint32 ASYNCCS3CR;
    volatile Uint32 ASYNCCS4CR;
    volatile Uint32 ASYNCCS5CR;
    volatile Uint8 RSVD5[16];
    volatile Uint32 AWCCR;
    volatile Uint8 RSVD6[28];
    volatile Uint32 IRR;
    volatile Uint32 IMR;
    volatile Uint32 IMSR;
    volatile Uint32 IMCR;
    volatile Uint8 RSVD7[16];
    volatile Uint32 DDRPHYREV;
    volatile Uint32 DDRPHYC1R;
    volatile Uint32 DDRPHYC2R;
    volatile Uint32 DDRPHYC3R;
} CSL_EmifRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* ERCSR */

#define CSL_EMIFB_ERCSR_SCHEME_MASK (0xC0000000u)
#define CSL_EMIFB_ERCSR_SCHEME_SHIFT (0x0000001Eu)
#define CSL_EMIFB_ERCSR_SCHEME_RESETVAL (0x00000001u)


#define CSL_EMIFB_ERCSR_MODID_MASK (0x0FFF0000u)
#define CSL_EMIFB_ERCSR_MODID_SHIFT (0x00000010u)
#define CSL_EMIFB_ERCSR_MODID_RESETVAL (0x00000033u)

#define CSL_EMIFB_ERCSR_RTL_MASK (0x0000F800u)
#define CSL_EMIFB_ERCSR_RTL_SHIFT (0x0000000Bu)
#define CSL_EMIFB_ERCSR_RTL_RESETVAL (0x00000001u)

#define CSL_EMIFB_ERCSR_MAJREV_MASK (0x00000700u)
#define CSL_EMIFB_ERCSR_MAJREV_SHIFT (0x00000008u)
#define CSL_EMIFB_ERCSR_MAJREV_RESETVAL (0x00000003u)


#define CSL_EMIFB_ERCSR_MINREV_MASK (0x0000003Fu)
#define CSL_EMIFB_ERCSR_MINREV_SHIFT (0x00000000u)
#define CSL_EMIFB_ERCSR_MINREV_RESETVAL (0x0000001Fu)

#define CSL_EMIFB_ERCSR_RESETVAL (0x40330B1Fu)

/* SDRSTAT */

#define CSL_EMIFB_SDRSTAT_BE_MASK (0x80000000u)
#define CSL_EMIFB_SDRSTAT_BE_SHIFT (0x0000001Fu)
#define CSL_EMIFB_SDRSTAT_BE_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDRSTAT_DCLKMD_MASK (0x40000000u)
#define CSL_EMIFB_SDRSTAT_DCLKMD_SHIFT (0x0000001Eu)
#define CSL_EMIFB_SDRSTAT_DCLKMD_RESETVAL (0x00000001u)

#define CSL_EMIFB_SDRSTAT_FASTINIT_MASK (0x20000000u)
#define CSL_EMIFB_SDRSTAT_FASTINIT_SHIFT (0x0000001Du)
#define CSL_EMIFB_SDRSTAT_FASTINIT_RESETVAL (0x00000000u)


#define CSL_EMIFB_SDRSTAT_PHYRDY_MASK (0x00000004u)
#define CSL_EMIFB_SDRSTAT_PHYRDY_SHIFT (0x00000002u)
#define CSL_EMIFB_SDRSTAT_PHYRDY_RESETVAL (0x00000000u)


#define CSL_EMIFB_SDRSTAT_RESETVAL (0x40000000u)

/* SDCR */


#define CSL_EMIFB_SDCR_DDRTERM_1_MASK (0x08000000u)
#define CSL_EMIFB_SDCR_DDRTERM_1_SHIFT (0x0000001Bu)
#define CSL_EMIFB_SDCR_DDRTERM_1_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_IBANKPOS_MASK (0x04000000u)
#define CSL_EMIFB_SDCR_IBANKPOS_SHIFT (0x0000001Au)
#define CSL_EMIFB_SDCR_IBANKPOS_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_MSDR_EN_MASK (0x02000000u)
#define CSL_EMIFB_SDCR_MSDR_EN_SHIFT (0x00000019u)
#define CSL_EMIFB_SDCR_MSDR_EN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_SDRDRIVE_1_MASK (0x01000000u)
#define CSL_EMIFB_SDCR_SDRDRIVE_1_SHIFT (0x00000018u)
#define CSL_EMIFB_SDCR_SDRDRIVE_1_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_BOOTUNLOCK_MASK (0x00800000u)
#define CSL_EMIFB_SDCR_BOOTUNLOCK_SHIFT (0x00000017u)
#define CSL_EMIFB_SDCR_BOOTUNLOCK_RESETVAL (0x00000000u)
/*----BOOTUNLOCK Tokens----*/
#define CSL_EMIFB_SDCR_BOOTUNLOCK_UNLOCKTIM (0x00000001u)

#define CSL_EMIFB_SDCR_DDR2DDQS_MASK (0x00400000u)
#define CSL_EMIFB_SDCR_DDR2DDQS_SHIFT (0x00000016u)
#define CSL_EMIFB_SDCR_DDR2DDQS_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_DDR2TERM_0_MASK (0x00200000u)
#define CSL_EMIFB_SDCR_DDR2TERM_0_SHIFT (0x00000015u)
#define CSL_EMIFB_SDCR_DDR2TERM_0_RESETVAL (0x00000000u)
/*----DDR2TERM_0 Tokens----*/
#define CSL_EMIFB_SDCR_DDR2TERM_0_DISABLE (0x00000000u)
#define CSL_EMIFB_SDCR_DDR2TERM_0_TERM75 (0x00000001u)
#define CSL_EMIFB_SDCR_DDR2TERM_0_TERM150 (0x00000002u)
#define CSL_EMIFB_SDCR_DDR2TERM_0_TERM50 (0x00000003u)

#define CSL_EMIFB_SDCR_DDR2_EN_MASK (0x00100000u)
#define CSL_EMIFB_SDCR_DDR2_EN_SHIFT (0x00000014u)
#define CSL_EMIFB_SDCR_DDR2_EN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_DISDDRDLL_MASK (0x00080000u)
#define CSL_EMIFB_SDCR_DISDDRDLL_SHIFT (0x00000013u)
#define CSL_EMIFB_SDCR_DISDDRDLL_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_SDRDRIVE_0_MASK (0x00040000u)
#define CSL_EMIFB_SDCR_SDRDRIVE_0_SHIFT (0x00000012u)
#define CSL_EMIFB_SDCR_SDRDRIVE_0_RESETVAL (0x00000000u)
/*----SDRDRIVE_0 Tokens----*/
#define CSL_EMIFB_SDCR_SDRDRIVE_0_FULL (0x00000000u)
#define CSL_EMIFB_SDCR_SDRDRIVE_0_HALF (0x00000001u)
#define CSL_EMIFB_SDCR_SDRDRIVE_0_ONEFOURTH (0x00000002u)
#define CSL_EMIFB_SDCR_SDRDRIVE_0_ONEEIGTH (0x00000003u)

#define CSL_EMIFB_SDCR_DDR_EN_MASK (0x00020000u)
#define CSL_EMIFB_SDCR_DDR_EN_SHIFT (0x00000011u)
#define CSL_EMIFB_SDCR_DDR_EN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_SDR_EN_MASK (0x00010000u)
#define CSL_EMIFB_SDCR_SDR_EN_SHIFT (0x00000010u)
#define CSL_EMIFB_SDCR_SDR_EN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDCR_TIMUNLOCK_MASK (0x00008000u)
#define CSL_EMIFB_SDCR_TIMUNLOCK_SHIFT (0x0000000Fu)
#define CSL_EMIFB_SDCR_TIMUNLOCK_RESETVAL (0x00000000u)
/*----TIMUNLOCK Tokens----*/
#define CSL_EMIFB_SDCR_TIMUNLOCK_UNLOCKTIM (0x00000001u)

#define CSL_EMIFB_SDCR_NM_MASK (0x00004000u)
#define CSL_EMIFB_SDCR_NM_SHIFT (0x0000000Eu)
#define CSL_EMIFB_SDCR_NM_RESETVAL (0x00000000u)
/*----NM Tokens----*/
#define CSL_EMIFB_SDCR_NM_32BIT (0x00000000u)
#define CSL_EMIFB_SDCR_NM_16BIT (0x00000001u)


#define CSL_EMIFB_SDCR_CL_MASK (0x00000E00u)
#define CSL_EMIFB_SDCR_CL_SHIFT (0x00000009u)
#define CSL_EMIFB_SDCR_CL_RESETVAL (0x00000000u)
/*----CL Tokens----*/
#define CSL_EMIFB_SDCR_CL_CASLAT2 (0x00000002u)
#define CSL_EMIFB_SDCR_CL_CASLAT3 (0x00000003u)


#define CSL_EMIFB_SDCR_IBANK_MASK (0x00000070u)
#define CSL_EMIFB_SDCR_IBANK_SHIFT (0x00000004u)
#define CSL_EMIFB_SDCR_IBANK_RESETVAL (0x00000002u)
/*----IBANK Tokens----*/
#define CSL_EMIFB_SDCR_IBANK_SD1BANK (0x00000000u)
#define CSL_EMIFB_SDCR_IBANK_SD2BANK (0x00000001u)
#define CSL_EMIFB_SDCR_IBANK_SD4BANK (0x00000002u)
#define CSL_EMIFB_SDCR_IBANK_SD8BANK (0x00000003u)

#define CSL_EMIFB_SDCR_EBANK_MASK (0x00000008u)
#define CSL_EMIFB_SDCR_EBANK_SHIFT (0x00000003u)
#define CSL_EMIFB_SDCR_EBANK_RESETVAL (0x00000000u)
/*----EBANK Tokens----*/
#define CSL_EMIFB_SDCR_EBANK_CS0 (0x00000000u)
#define CSL_EMIFB_SDCR_EBANK_CS0_CS1 (0x00000001u)

#define CSL_EMIFB_SDCR_PAGESIZE_MASK (0x00000007u)
#define CSL_EMIFB_SDCR_PAGESIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_SDCR_PAGESIZE_RESETVAL (0x00000000u)
/*----PAGESIZE Tokens----*/
#define CSL_EMIFB_SDCR_PAGESIZE_P256 (0x00000000u)
#define CSL_EMIFB_SDCR_PAGESIZE_P512 (0x00000001u)
#define CSL_EMIFB_SDCR_PAGESIZE_P1024 (0x00000002u)
#define CSL_EMIFB_SDCR_PAGESIZE_P2048 (0x00000003u)

#define CSL_EMIFB_SDCR_RESETVAL (0x00000020u)

/* SDRCR */

#define CSL_EMIFB_SDRCR_LPMODE_MASK (0x80000000u)
#define CSL_EMIFB_SDRCR_LPMODE_SHIFT (0x0000001Fu)
#define CSL_EMIFB_SDRCR_LPMODE_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDRCR_MCLKSTOPEN_MASK (0x40000000u)
#define CSL_EMIFB_SDRCR_MCLKSTOPEN_SHIFT (0x0000001Eu)
#define CSL_EMIFB_SDRCR_MCLKSTOPEN_RESETVAL (0x00000000u)
/*----MCLKSTOPEN Tokens----*/
#define CSL_EMIFB_SDRCR_MCLKSTOPEN_DISABLE (0x00000000u)
#define CSL_EMIFB_SDRCR_MCLKSTOPEN_ENABLE (0x00000001u)


#define CSL_EMIFB_SDRCR_SR_PD_MASK (0x00800000u)
#define CSL_EMIFB_SDRCR_SR_PD_SHIFT (0x00000017u)
#define CSL_EMIFB_SDRCR_SR_PD_RESETVAL (0x00000000u)
/*----SR_PD Tokens----*/
#define CSL_EMIFB_SDRCR_SR_PD_SELFREF (0x00000000u)
#define CSL_EMIFB_SDRCR_SR_PD_PWRDWN (0x00000001u)


#define CSL_EMIFB_SDRCR_RR_MASK (0x0000FFFFu)
#define CSL_EMIFB_SDRCR_RR_SHIFT (0x00000000u)
#define CSL_EMIFB_SDRCR_RR_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDRCR_RESETVAL (0x00000000u)

/* SDTIMR */

#define CSL_EMIFB_SDTIMR_T_RFC_MASK (0xFE000000u)
#define CSL_EMIFB_SDTIMR_T_RFC_SHIFT (0x00000019u)
#define CSL_EMIFB_SDTIMR_T_RFC_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR_T_RP_MASK (0x01C00000u)
#define CSL_EMIFB_SDTIMR_T_RP_SHIFT (0x00000016u)
#define CSL_EMIFB_SDTIMR_T_RP_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR_T_RCD_MASK (0x00380000u)
#define CSL_EMIFB_SDTIMR_T_RCD_SHIFT (0x00000013u)
#define CSL_EMIFB_SDTIMR_T_RCD_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR_T_WR_MASK (0x00070000u)
#define CSL_EMIFB_SDTIMR_T_WR_SHIFT (0x00000010u)
#define CSL_EMIFB_SDTIMR_T_WR_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR_T_RAS_MASK (0x0000F800u)
#define CSL_EMIFB_SDTIMR_T_RAS_SHIFT (0x0000000Bu)
#define CSL_EMIFB_SDTIMR_T_RAS_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR_T_RC_MASK (0x000007C0u)
#define CSL_EMIFB_SDTIMR_T_RC_SHIFT (0x00000006u)
#define CSL_EMIFB_SDTIMR_T_RC_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR_T_RRD_MASK (0x00000038u)
#define CSL_EMIFB_SDTIMR_T_RRD_SHIFT (0x00000003u)
#define CSL_EMIFB_SDTIMR_T_RRD_RESETVAL (0x00000000u)


#define CSL_EMIFB_SDTIMR_T_WTR_MASK (0x00000003u)
#define CSL_EMIFB_SDTIMR_T_WTR_SHIFT (0x00000000u)
#define CSL_EMIFB_SDTIMR_T_WTR_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR_RESETVAL (0x00000000u)

/* SDTIMR2 */


#define CSL_EMIFB_SDTIMR2_T_RAS_MAX_MASK (0x78000000u)
#define CSL_EMIFB_SDTIMR2_T_RAS_MAX_SHIFT (0x0000001Bu)
#define CSL_EMIFB_SDTIMR2_T_RAS_MAX_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR2_T_XP_MASK (0x06000000u)
#define CSL_EMIFB_SDTIMR2_T_XP_SHIFT (0x00000019u)
#define CSL_EMIFB_SDTIMR2_T_XP_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR2_T_ODT_MASK (0x01800000u)
#define CSL_EMIFB_SDTIMR2_T_ODT_SHIFT (0x00000017u)
#define CSL_EMIFB_SDTIMR2_T_ODT_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR2_T_XSNR_MASK (0x007F0000u)
#define CSL_EMIFB_SDTIMR2_T_XSNR_SHIFT (0x00000010u)
#define CSL_EMIFB_SDTIMR2_T_XSNR_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR2_T_XSRD_MASK (0x0000FF00u)
#define CSL_EMIFB_SDTIMR2_T_XSRD_SHIFT (0x00000008u)
#define CSL_EMIFB_SDTIMR2_T_XSRD_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR2_T_RTP_MASK (0x000000E0u)
#define CSL_EMIFB_SDTIMR2_T_RTP_SHIFT (0x00000005u)
#define CSL_EMIFB_SDTIMR2_T_RTP_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR2_T_CKE_MASK (0x0000001Fu)
#define CSL_EMIFB_SDTIMR2_T_CKE_SHIFT (0x00000000u)
#define CSL_EMIFB_SDTIMR2_T_CKE_RESETVAL (0x00000000u)

#define CSL_EMIFB_SDTIMR2_RESETVAL (0x00000000u)

/* SDRC2R */


#define CSL_EMIFB_SDRC2R_PASR_MASK (0x00070000u)
#define CSL_EMIFB_SDRC2R_PASR_SHIFT (0x00000010u)
#define CSL_EMIFB_SDRC2R_PASR_RESETVAL (0x00000000u)
/*----PASR Tokens----*/
#define CSL_EMIFB_SDRC2R_PASR_4BANKS (0x00000000u)
#define CSL_EMIFB_SDRC2R_PASR_2BANKS (0x00000001u)
#define CSL_EMIFB_SDRC2R_PASR_1BANK (0x00000002u)
#define CSL_EMIFB_SDRC2R_PASR_HALFBANK (0x00000005u)
#define CSL_EMIFB_SDRC2R_PASR_1FOURTHBANK (0x00000006u)


#define CSL_EMIFB_SDRC2R_ROWSIZE_MASK (0x00000007u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_RESETVAL (0x00000000u)
/*----ROWSIZE Tokens----*/
#define CSL_EMIFB_SDRC2R_ROWSIZE_9ROWADDR (0x00000000u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_10ROWADDR (0x00000001u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_11ROWADDR (0x00000002u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_12ROWADDR (0x00000003u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_13ROWADDR (0x00000004u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_14ROWADDR (0x00000005u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_15ROWADDR (0x00000006u)
#define CSL_EMIFB_SDRC2R_ROWSIZE_16ROWADDR (0x00000007u)

#define CSL_EMIFB_SDRC2R_RESETVAL (0x00000000u)

/* PBBPR */


#define CSL_EMIFB_PBBPR_PR_OLD_COUNT_MASK (0x000000FFu)
#define CSL_EMIFB_PBBPR_PR_OLD_COUNT_SHIFT (0x00000000u)
#define CSL_EMIFB_PBBPR_PR_OLD_COUNT_RESETVAL (0x000000FFu)

#define CSL_EMIFB_PBBPR_RESETVAL (0x000000FFu)

/* VBCFG1 */

#define CSL_EMIFB_VBCFG1_BUSWIDTH_MASK (0xC0000000u)
#define CSL_EMIFB_VBCFG1_BUSWIDTH_SHIFT (0x0000001Eu)
#define CSL_EMIFB_VBCFG1_BUSWIDTH_RESETVAL (0x00000000u)


#define CSL_EMIFB_VBCFG1_STATFIFO_MASK (0x00FF0000u)
#define CSL_EMIFB_VBCFG1_STATFIFO_SHIFT (0x00000010u)
#define CSL_EMIFB_VBCFG1_STATFIFO_RESETVAL (0x00000007u)

#define CSL_EMIFB_VBCFG1_WRFIFO_MASK (0x0000FF00u)
#define CSL_EMIFB_VBCFG1_WRFIFO_SHIFT (0x00000008u)
#define CSL_EMIFB_VBCFG1_WRFIFO_RESETVAL (0x0000000Bu)

#define CSL_EMIFB_VBCFG1_CMDFIFO_MASK (0x000000FFu)
#define CSL_EMIFB_VBCFG1_CMDFIFO_SHIFT (0x00000000u)
#define CSL_EMIFB_VBCFG1_CMDFIFO_RESETVAL (0x00000007u)

#define CSL_EMIFB_VBCFG1_RESETVAL (0x00070B07u)

/* VBCFG2 */


#define CSL_EMIFB_VBCFG2_RREGFIFO_MASK (0x00FF0000u)
#define CSL_EMIFB_VBCFG2_RREGFIFO_SHIFT (0x00000010u)
#define CSL_EMIFB_VBCFG2_RREGFIFO_RESETVAL (0x00000004u)

#define CSL_EMIFB_VBCFG2_RDFIFO_MASK (0x0000FF00u)
#define CSL_EMIFB_VBCFG2_RDFIFO_SHIFT (0x00000008u)
#define CSL_EMIFB_VBCFG2_RDFIFO_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_VBCFG2_RDCMDFIFO_MASK (0x000000FFu)
#define CSL_EMIFB_VBCFG2_RDCMDFIFO_SHIFT (0x00000000u)
#define CSL_EMIFB_VBCFG2_RDCMDFIFO_RESETVAL (0x00000014u)

#define CSL_EMIFB_VBCFG2_RESETVAL (0x00040F14u)

/* PERFC1R */

#define CSL_EMIFB_PERFC1R_COUNTER1_MASK (0xFFFFFFFFu)
#define CSL_EMIFB_PERFC1R_COUNTER1_SHIFT (0x00000000u)
#define CSL_EMIFB_PERFC1R_COUNTER1_RESETVAL (0x00000000u)

#define CSL_EMIFB_PERFC1R_RESETVAL (0x00000000u)

/* PERFC2R */

#define CSL_EMIFB_PERFC2R_COUNTER2_MASK (0xFFFFFFFFu)
#define CSL_EMIFB_PERFC2R_COUNTER2_SHIFT (0x00000000u)
#define CSL_EMIFB_PERFC2R_COUNTER2_RESETVAL (0x00000000u)

#define CSL_EMIFB_PERFC2R_RESETVAL (0x00000000u)

/* PCCR */

#define CSL_EMIFB_PCCR_CNT2MSTEN_MASK (0x80000000u)
#define CSL_EMIFB_PCCR_CNT2MSTEN_SHIFT (0x0000001Fu)
#define CSL_EMIFB_PCCR_CNT2MSTEN_RESETVAL (0x00000000u)

#define CSL_EMIFB_PCCR_CNT2REGEN_MASK (0x40000000u)
#define CSL_EMIFB_PCCR_CNT2REGEN_SHIFT (0x0000001Eu)
#define CSL_EMIFB_PCCR_CNT2REGEN_RESETVAL (0x00000000u)


#define CSL_EMIFB_PCCR_CNT2CFG_MASK (0x000F0000u)
#define CSL_EMIFB_PCCR_CNT2CFG_SHIFT (0x00000010u)
#define CSL_EMIFB_PCCR_CNT2CFG_RESETVAL (0x00000000u)
/*----CNT2CFG Tokens----*/
#define CSL_EMIFB_PCCR_CNT2CFG_SDACC (0x00000000u)
#define CSL_EMIFB_PCCR_CNT2CFG_SDACT (0x00000001u)
#define CSL_EMIFB_PCCR_CNT2CFG_TOTRD (0x00000002u)
#define CSL_EMIFB_PCCR_CNT2CFG_TOTWR (0x00000003u)
#define CSL_EMIFB_PCCR_CNT2CFG_COMFULL (0x00000004u)
#define CSL_EMIFB_PCCR_CNT2CFG_WRDATFULL (0x00000005u)
#define CSL_EMIFB_PCCR_CNT2CFG_RDDATFULL (0x00000006u)
#define CSL_EMIFB_PCCR_CNT2CFG_WRSTATFULL (0x00000007u)
#define CSL_EMIFB_PCCR_CNT2CFG_PRIELEV (0x00000008u)
#define CSL_EMIFB_PCCR_CNT2CFG_CMDPND (0x00000009u)
#define CSL_EMIFB_PCCR_CNT2CFG_DATXFER (0x0000000Au)

#define CSL_EMIFB_PCCR_CNT1MSTEN_MASK (0x00008000u)
#define CSL_EMIFB_PCCR_CNT1MSTEN_SHIFT (0x0000000Fu)
#define CSL_EMIFB_PCCR_CNT1MSTEN_RESETVAL (0x00000000u)

#define CSL_EMIFB_PCCR_CNT1REGEN_MASK (0x00004000u)
#define CSL_EMIFB_PCCR_CNT1REGEN_SHIFT (0x0000000Eu)
#define CSL_EMIFB_PCCR_CNT1REGEN_RESETVAL (0x00000000u)


#define CSL_EMIFB_PCCR_CNT1CFG_MASK (0x0000000Fu)
#define CSL_EMIFB_PCCR_CNT1CFG_SHIFT (0x00000000u)
#define CSL_EMIFB_PCCR_CNT1CFG_RESETVAL (0x00000000u)
/*----CNT1CFG Tokens----*/
#define CSL_EMIFB_PCCR_CNT1CFG_SDACC (0x00000000u)
#define CSL_EMIFB_PCCR_CNT1CFG_SDACT (0x00000001u)
#define CSL_EMIFB_PCCR_CNT1CFG_TOTRD (0x00000002u)
#define CSL_EMIFB_PCCR_CNT1CFG_TOTWR (0x00000003u)
#define CSL_EMIFB_PCCR_CNT1CFG_COMFULL (0x00000004u)
#define CSL_EMIFB_PCCR_CNT1CFG_WRDATFULL (0x00000005u)
#define CSL_EMIFB_PCCR_CNT1CFG_RDDATFULL (0x00000006u)
#define CSL_EMIFB_PCCR_CNT1CFG_WRSTATFULL (0x00000007u)
#define CSL_EMIFB_PCCR_CNT1CFG_PRIELEV (0x00000008u)
#define CSL_EMIFB_PCCR_CNT1CFG_CMDPND (0x00000009u)
#define CSL_EMIFB_PCCR_CNT1CFG_DATXFER (0x0000000Au)

#define CSL_EMIFB_PCCR_RESETVAL (0x00000000u)

/* PCMRSR */

#define CSL_EMIFB_PCMRSR_MSTID2_MASK (0xFF000000u)
#define CSL_EMIFB_PCMRSR_MSTID2_SHIFT (0x00000018u)
#define CSL_EMIFB_PCMRSR_MSTID2_RESETVAL (0x00000000u)



#define CSL_EMIFB_PCMRSR_REGSEL2_MASK (0x000F0000u)
#define CSL_EMIFB_PCMRSR_REGSEL2_SHIFT (0x00000010u)
#define CSL_EMIFB_PCMRSR_REGSEL2_RESETVAL (0x00000000u)

#define CSL_EMIFB_PCMRSR_MSTID1_MASK (0x0000FF00u)
#define CSL_EMIFB_PCMRSR_MSTID1_SHIFT (0x00000008u)
#define CSL_EMIFB_PCMRSR_MSTID1_RESETVAL (0x00000000u)


#define CSL_EMIFB_PCMRSR_REGSEL1_MASK (0x0000000Fu)
#define CSL_EMIFB_PCMRSR_REGSEL1_SHIFT (0x00000000u)
#define CSL_EMIFB_PCMRSR_REGSEL1_RESETVAL (0x00000000u)

#define CSL_EMIFB_PCMRSR_RESETVAL (0x00000000u)

/* PCTR */

#define CSL_EMIFB_PCTR_TOTAL_TIME_MASK (0xFFFFFFFFu)
#define CSL_EMIFB_PCTR_TOTAL_TIME_SHIFT (0x00000000u)
#define CSL_EMIFB_PCTR_TOTAL_TIME_RESETVAL (0x00000000u)

#define CSL_EMIFB_PCTR_RESETVAL (0x00000000u)

/* IODFTGBLCTRL */

#define CSL_EMIFB_IODFTGBLCTRL_TLEC_MASK (0xFFFF0000u)
#define CSL_EMIFB_IODFTGBLCTRL_TLEC_SHIFT (0x00000010u)
#define CSL_EMIFB_IODFTGBLCTRL_TLEC_RESETVAL (0x00000000u)


#define CSL_EMIFB_IODFTGBLCTRL_MT_MASK (0x00004000u)
#define CSL_EMIFB_IODFTGBLCTRL_MT_SHIFT (0x0000000Eu)
#define CSL_EMIFB_IODFTGBLCTRL_MT_RESETVAL (0x00000000u)

#define CSL_EMIFB_IODFTGBLCTRL_ACT_CAP_EN_MASK (0x00002000u)
#define CSL_EMIFB_IODFTGBLCTRL_ACT_CAP_EN_SHIFT (0x0000000Du)
#define CSL_EMIFB_IODFTGBLCTRL_ACT_CAP_EN_RESETVAL (0x00000001u)

#define CSL_EMIFB_IODFTGBLCTRL_OPG_LD_MASK (0x00001000u)
#define CSL_EMIFB_IODFTGBLCTRL_OPG_LD_SHIFT (0x0000000Cu)
#define CSL_EMIFB_IODFTGBLCTRL_OPG_LD_RESETVAL (0x00000000u)


#define CSL_EMIFB_IODFTGBLCTRL_RESET_PHY_MASK (0x00000400u)
#define CSL_EMIFB_IODFTGBLCTRL_RESET_PHY_SHIFT (0x0000000Au)
#define CSL_EMIFB_IODFTGBLCTRL_RESET_PHY_RESETVAL (0x00000000u)


#define CSL_EMIFB_IODFTGBLCTRL_MMS_MASK (0x00000100u)
#define CSL_EMIFB_IODFTGBLCTRL_MMS_SHIFT (0x00000008u)
#define CSL_EMIFB_IODFTGBLCTRL_MMS_RESETVAL (0x00000000u)
/*----MMS Tokens----*/
#define CSL_EMIFB_IODFTGBLCTRL_MMS_OUTPUTREG (0x00000000u)
#define CSL_EMIFB_IODFTGBLCTRL_MMS_INPUTCAP (0x00000001u)

#define CSL_EMIFB_IODFTGBLCTRL_ESEL_MASK (0x00000080u)
#define CSL_EMIFB_IODFTGBLCTRL_ESEL_SHIFT (0x00000007u)
#define CSL_EMIFB_IODFTGBLCTRL_ESEL_RESETVAL (0x00000001u)
/*----ESEL Tokens----*/
#define CSL_EMIFB_IODFTGBLCTRL_ESEL_TESTMODE (0x00000000u)
#define CSL_EMIFB_IODFTGBLCTRL_ESEL_NORMALMODE (0x00000001u)

#define CSL_EMIFB_IODFTGBLCTRL_TOEN_MASK (0x00000040u)
#define CSL_EMIFB_IODFTGBLCTRL_TOEN_SHIFT (0x00000006u)
#define CSL_EMIFB_IODFTGBLCTRL_TOEN_RESETVAL (0x00000000u)
/*----TOEN Tokens----*/
#define CSL_EMIFB_IODFTGBLCTRL_TOEN_ENABLE (0x00000000u)
#define CSL_EMIFB_IODFTGBLCTRL_TOEN_DISABLE (0x00000001u)

#define CSL_EMIFB_IODFTGBLCTRL_MC_MASK (0x00000030u)
#define CSL_EMIFB_IODFTGBLCTRL_MC_SHIFT (0x00000004u)
#define CSL_EMIFB_IODFTGBLCTRL_MC_RESETVAL (0x00000001u)
/*----MC Tokens----*/
#define CSL_EMIFB_IODFTGBLCTRL_MC_DNLWD (0x00000000u)
#define CSL_EMIFB_IODFTGBLCTRL_MC_HOLD (0x00000001u)
#define CSL_EMIFB_IODFTGBLCTRL_MC_LWDINIT (0x00000002u)
#define CSL_EMIFB_IODFTGBLCTRL_MC_MISRENCAP (0x00000002u)

#define CSL_EMIFB_IODFTGBLCTRL_PC_MASK (0x0000000Eu)
#define CSL_EMIFB_IODFTGBLCTRL_PC_SHIFT (0x00000001u)
#define CSL_EMIFB_IODFTGBLCTRL_PC_RESETVAL (0x00000000u)

#define CSL_EMIFB_IODFTGBLCTRL_TM_MASK (0x00000001u)
#define CSL_EMIFB_IODFTGBLCTRL_TM_SHIFT (0x00000000u)
#define CSL_EMIFB_IODFTGBLCTRL_TM_RESETVAL (0x00000001u)

#define CSL_EMIFB_IODFTGBLCTRL_RESETVAL (0x00002091u)

/* IODFTMISRR */


#define CSL_EMIFB_IODFTMISRR_DQM_TLMR_MASK (0x3FF00000u)
#define CSL_EMIFB_IODFTMISRR_DQM_TLMR_SHIFT (0x00000014u)
#define CSL_EMIFB_IODFTMISRR_DQM_TLMR_RESETVAL (0x00000000u)


#define CSL_EMIFB_IODFTMISRR_CTL_TLMR_MASK (0x0001FFFFu)
#define CSL_EMIFB_IODFTMISRR_CTL_TLMR_SHIFT (0x00000000u)
#define CSL_EMIFB_IODFTMISRR_CTL_TLMR_RESETVAL (0x00000000u)

#define CSL_EMIFB_IODFTMISRR_RESETVAL (0x00000000u)

/* IODFTMISADDRRR */


#define CSL_EMIFB_IODFTMISADDRRR_ADDR_TLMR_MASK (0x0FFFFFFFu)
#define CSL_EMIFB_IODFTMISADDRRR_ADDR_TLMR_SHIFT (0x00000000u)
#define CSL_EMIFB_IODFTMISADDRRR_ADDR_TLMR_RESETVAL (0x00000000u)

#define CSL_EMIFB_IODFTMISADDRRR_RESETVAL (0x00000000u)

/* IODFTMISR1R */

#define CSL_EMIFB_IODFTMISR1R_TLMR_31_0_MASK (0xFFFFFFFFu)
#define CSL_EMIFB_IODFTMISR1R_TLMR_31_0_SHIFT (0x00000000u)
#define CSL_EMIFB_IODFTMISR1R_TLMR_31_0_RESETVAL (0x00000000u)

#define CSL_EMIFB_IODFTMISR1R_RESETVAL (0x00000000u)

/* IODFTMISR2R */

#define CSL_EMIFB_IODFTMISR2R_TLMR_62_32_MASK (0xFFFFFFFFu)
#define CSL_EMIFB_IODFTMISR2R_TLMR_62_32_SHIFT (0x00000000u)
#define CSL_EMIFB_IODFTMISR2R_TLMR_62_32_RESETVAL (0x00000000u)

#define CSL_EMIFB_IODFTMISR2R_RESETVAL (0x00000000u)

/* IODFTMISR3R */


#define CSL_EMIFB_IODFTMISR3R_TLMR_69_64_MASK (0x0000003Fu)
#define CSL_EMIFB_IODFTMISR3R_TLMR_69_64_SHIFT (0x00000000u)
#define CSL_EMIFB_IODFTMISR3R_TLMR_69_64_RESETVAL (0x00000000u)

#define CSL_EMIFB_IODFTMISR3R_RESETVAL (0x00000000u)

/* ASYNCCS2CR */

#define CSL_EMIFB_ASYNCCS2CR_SSEL_MASK (0x80000000u)
#define CSL_EMIFB_ASYNCCS2CR_SSEL_SHIFT (0x0000001Fu)
#define CSL_EMIFB_ASYNCCS2CR_SSEL_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS2CR_SS_MASK (0x40000000u)
#define CSL_EMIFB_ASYNCCS2CR_SS_SHIFT (0x0000001Eu)
#define CSL_EMIFB_ASYNCCS2CR_SS_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS2CR_BWEM_MASK (0x20000000u)
#define CSL_EMIFB_ASYNCCS2CR_BWEM_SHIFT (0x0000001Du)
#define CSL_EMIFB_ASYNCCS2CR_BWEM_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS2CR_EW_MASK (0x10000000u)
#define CSL_EMIFB_ASYNCCS2CR_EW_SHIFT (0x0000001Cu)
#define CSL_EMIFB_ASYNCCS2CR_EW_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS2CR_W_SETUP_MASK (0x0F000000u)
#define CSL_EMIFB_ASYNCCS2CR_W_SETUP_SHIFT (0x00000018u)
#define CSL_EMIFB_ASYNCCS2CR_W_SETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_ASYNCCS2CR_W_STROBE_MASK (0x00FC0000u)
#define CSL_EMIFB_ASYNCCS2CR_W_STROBE_SHIFT (0x00000012u)
#define CSL_EMIFB_ASYNCCS2CR_W_STROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFB_ASYNCCS2CR_W_HOLD_MASK (0x00038000u)
#define CSL_EMIFB_ASYNCCS2CR_W_HOLD_SHIFT (0x0000000Fu)
#define CSL_EMIFB_ASYNCCS2CR_W_HOLD_RESETVAL (0x00000007u)

#define CSL_EMIFB_ASYNCCS2CR_R_SETUP_MASK (0x00007800u)
#define CSL_EMIFB_ASYNCCS2CR_R_SETUP_SHIFT (0x0000000Bu)
#define CSL_EMIFB_ASYNCCS2CR_R_SETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_ASYNCCS2CR_RSTROBE_MASK (0x000007E0u)
#define CSL_EMIFB_ASYNCCS2CR_RSTROBE_SHIFT (0x00000005u)
#define CSL_EMIFB_ASYNCCS2CR_RSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFB_ASYNCCS2CR_R_HOLD_MASK (0x0000001Cu)
#define CSL_EMIFB_ASYNCCS2CR_R_HOLD_SHIFT (0x00000002u)
#define CSL_EMIFB_ASYNCCS2CR_R_HOLD_RESETVAL (0x00000007u)

#define CSL_EMIFB_ASYNCCS2CR_ASIZE_MASK (0x00000003u)
#define CSL_EMIFB_ASYNCCS2CR_ASIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_ASYNCCS2CR_ASIZE_RESETVAL (0x00000000u)
/*----ASIZE Tokens----*/
#define CSL_EMIFB_ASYNCCS2CR_ASIZE_DATA8 (0x00000000u)
#define CSL_EMIFB_ASYNCCS2CR_ASIZE_DATA16 (0x00000001u)
#define CSL_EMIFB_ASYNCCS2CR_ASIZE_DATA32 (0x00000002u)
#define CSL_EMIFB_ASYNCCS2CR_ASIZE_DATA64 (0x00000003u)

#define CSL_EMIFB_ASYNCCS2CR_RESETVAL (0x0FFFFFFCu)

/* SBSCS2CR */

#define CSL_EMIFB_SBSCS2CR_SSEL_MASK (0x80000000u)
#define CSL_EMIFB_SBSCS2CR_SSEL_SHIFT (0x0000001Fu)
#define CSL_EMIFB_SBSCS2CR_SSEL_RESETVAL (0x00000000u)


#define CSL_EMIFB_SBSCS2CR_RD_BE_EN_MASK (0x00000400u)
#define CSL_EMIFB_SBSCS2CR_RD_BE_EN_SHIFT (0x0000000Au)
#define CSL_EMIFB_SBSCS2CR_RD_BE_EN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS2CR_CSEXT_MASK (0x00000200u)
#define CSL_EMIFB_SBSCS2CR_CSEXT_SHIFT (0x00000009u)
#define CSL_EMIFB_SBSCS2CR_CSEXT_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS2CR_READEN_MASK (0x00000100u)
#define CSL_EMIFB_SBSCS2CR_READEN_SHIFT (0x00000008u)
#define CSL_EMIFB_SBSCS2CR_READEN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS2CR_WRLAT_MASK (0x000000C0u)
#define CSL_EMIFB_SBSCS2CR_WRLAT_SHIFT (0x00000006u)
#define CSL_EMIFB_SBSCS2CR_WRLAT_RESETVAL (0x00000000u)
/*----WRLAT Tokens----*/
#define CSL_EMIFB_SBSCS2CR_WRLAT_WRLAT0 (0x00000000u)
#define CSL_EMIFB_SBSCS2CR_WRLAT_WRLAT1 (0x00000001u)
#define CSL_EMIFB_SBSCS2CR_WRLAT_WRLAT2 (0x00000002u)
#define CSL_EMIFB_SBSCS2CR_WRLAT_WRLAT3 (0x00000003u)


#define CSL_EMIFB_SBSCS2CR_RDLAT_MASK (0x0000000Cu)
#define CSL_EMIFB_SBSCS2CR_RDLAT_SHIFT (0x00000002u)
#define CSL_EMIFB_SBSCS2CR_RDLAT_RESETVAL (0x00000000u)
/*----RDLAT Tokens----*/
#define CSL_EMIFB_SBSCS2CR_RDLAT_RDLAT0 (0x00000000u)
#define CSL_EMIFB_SBSCS2CR_RDLAT_RDLAT1 (0x00000001u)
#define CSL_EMIFB_SBSCS2CR_RDLAT_RDLAT2 (0x00000002u)
#define CSL_EMIFB_SBSCS2CR_RDLAT_RDLAT3 (0x00000003u)

#define CSL_EMIFB_SBSCS2CR_SBSIZE_MASK (0x00000003u)
#define CSL_EMIFB_SBSCS2CR_SBSIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_SBSCS2CR_SBSIZE_RESETVAL (0x00000000u)
/*----SBSIZE Tokens----*/
#define CSL_EMIFB_SBSCS2CR_SBSIZE_DATA8 (0x00000000u)
#define CSL_EMIFB_SBSCS2CR_SBSIZE_DATA16 (0x00000001u)
#define CSL_EMIFB_SBSCS2CR_SBSIZE_DATA32 (0x00000002u)
#define CSL_EMIFB_SBSCS2CR_SBSIZE_DATA64 (0x00000003u)

#define CSL_EMIFB_SBSCS2CR_RESETVAL (0x00000000u)

/* ASYNCCS3CR */

#define CSL_EMIFB_ASYNCCS3CR_SSEL_MASK (0x80000000u)
#define CSL_EMIFB_ASYNCCS3CR_SSEL_SHIFT (0x0000001Fu)
#define CSL_EMIFB_ASYNCCS3CR_SSEL_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS3CR_SS_MASK (0x40000000u)
#define CSL_EMIFB_ASYNCCS3CR_SS_SHIFT (0x0000001Eu)
#define CSL_EMIFB_ASYNCCS3CR_SS_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS3CR_BWEM_MASK (0x20000000u)
#define CSL_EMIFB_ASYNCCS3CR_BWEM_SHIFT (0x0000001Du)
#define CSL_EMIFB_ASYNCCS3CR_BWEM_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS3CR_EW_MASK (0x10000000u)
#define CSL_EMIFB_ASYNCCS3CR_EW_SHIFT (0x0000001Cu)
#define CSL_EMIFB_ASYNCCS3CR_EW_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS3CR_WSETUP_MASK (0x0F000000u)
#define CSL_EMIFB_ASYNCCS3CR_WSETUP_SHIFT (0x00000018u)
#define CSL_EMIFB_ASYNCCS3CR_WSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_ASYNCCS3CR_WSTROBE_MASK (0x00FC0000u)
#define CSL_EMIFB_ASYNCCS3CR_WSTROBE_SHIFT (0x00000012u)
#define CSL_EMIFB_ASYNCCS3CR_WSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFB_ASYNCCS3CR_WHOLD_MASK (0x00038000u)
#define CSL_EMIFB_ASYNCCS3CR_WHOLD_SHIFT (0x0000000Fu)
#define CSL_EMIFB_ASYNCCS3CR_WHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFB_ASYNCCS3CR_RSETUP_MASK (0x00007800u)
#define CSL_EMIFB_ASYNCCS3CR_RSETUP_SHIFT (0x0000000Bu)
#define CSL_EMIFB_ASYNCCS3CR_RSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_ASYNCCS3CR_RSTROBE_MASK (0x000007E0u)
#define CSL_EMIFB_ASYNCCS3CR_RSTROBE_SHIFT (0x00000005u)
#define CSL_EMIFB_ASYNCCS3CR_RSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFB_ASYNCCS3CR_RHOLD_MASK (0x0000001Cu)
#define CSL_EMIFB_ASYNCCS3CR_RHOLD_SHIFT (0x00000002u)
#define CSL_EMIFB_ASYNCCS3CR_RHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFB_ASYNCCS3CR_ASIZE_MASK (0x00000003u)
#define CSL_EMIFB_ASYNCCS3CR_ASIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_ASYNCCS3CR_ASIZE_RESETVAL (0x00000000u)
/*----ASIZE Tokens----*/
#define CSL_EMIFB_ASYNCCS3CR_ASIZE_DATA8 (0x00000000u)
#define CSL_EMIFB_ASYNCCS3CR_ASIZE_DATA16 (0x00000001u)
#define CSL_EMIFB_ASYNCCS3CR_ASIZE_DATA32 (0x00000002u)
#define CSL_EMIFB_ASYNCCS3CR_ASIZE_DATA64 (0x00000003u)

#define CSL_EMIFB_ASYNCCS3CR_RESETVAL (0x0FFFFFFCu)

/* SBSCS3CR */

#define CSL_EMIFB_SBSCS3CR_SSEL_MASK (0x80000000u)
#define CSL_EMIFB_SBSCS3CR_SSEL_SHIFT (0x0000001Fu)
#define CSL_EMIFB_SBSCS3CR_SSEL_RESETVAL (0x00000000u)


#define CSL_EMIFB_SBSCS3CR_RD_BE_EN_MASK (0x00000400u)
#define CSL_EMIFB_SBSCS3CR_RD_BE_EN_SHIFT (0x0000000Au)
#define CSL_EMIFB_SBSCS3CR_RD_BE_EN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS3CR_CSEXT_MASK (0x00000200u)
#define CSL_EMIFB_SBSCS3CR_CSEXT_SHIFT (0x00000009u)
#define CSL_EMIFB_SBSCS3CR_CSEXT_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS3CR_READEN_MASK (0x00000100u)
#define CSL_EMIFB_SBSCS3CR_READEN_SHIFT (0x00000008u)
#define CSL_EMIFB_SBSCS3CR_READEN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS3CR_WRLAT_MASK (0x000000C0u)
#define CSL_EMIFB_SBSCS3CR_WRLAT_SHIFT (0x00000006u)
#define CSL_EMIFB_SBSCS3CR_WRLAT_RESETVAL (0x00000000u)
/*----WRLAT Tokens----*/
#define CSL_EMIFB_SBSCS3CR_WRLAT_WRLAT0 (0x00000000u)
#define CSL_EMIFB_SBSCS3CR_WRLAT_WRLAT1 (0x00000001u)
#define CSL_EMIFB_SBSCS3CR_WRLAT_WRLAT2 (0x00000002u)
#define CSL_EMIFB_SBSCS3CR_WRLAT_WRLAT3 (0x00000003u)


#define CSL_EMIFB_SBSCS3CR_RDLAT_MASK (0x0000000Cu)
#define CSL_EMIFB_SBSCS3CR_RDLAT_SHIFT (0x00000002u)
#define CSL_EMIFB_SBSCS3CR_RDLAT_RESETVAL (0x00000000u)
/*----RDLAT Tokens----*/
#define CSL_EMIFB_SBSCS3CR_RDLAT_RDLAT0 (0x00000000u)
#define CSL_EMIFB_SBSCS3CR_RDLAT_RDLAT1 (0x00000001u)
#define CSL_EMIFB_SBSCS3CR_RDLAT_RDLAT2 (0x00000002u)
#define CSL_EMIFB_SBSCS3CR_RDLAT_RDLAT3 (0x00000003u)

#define CSL_EMIFB_SBSCS3CR_SBSIZE_MASK (0x00000003u)
#define CSL_EMIFB_SBSCS3CR_SBSIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_SBSCS3CR_SBSIZE_RESETVAL (0x00000000u)
/*----SBSIZE Tokens----*/
#define CSL_EMIFB_SBSCS3CR_SBSIZE_DATA8 (0x00000000u)
#define CSL_EMIFB_SBSCS3CR_SBSIZE_DATA16 (0x00000001u)
#define CSL_EMIFB_SBSCS3CR_SBSIZE_DATA32 (0x00000002u)
#define CSL_EMIFB_SBSCS3CR_SBSIZE_DATA64 (0x00000003u)

#define CSL_EMIFB_SBSCS3CR_RESETVAL (0x00000000u)

/* ASYNCCS4CR */

#define CSL_EMIFB_ASYNCCS4CR_SSEL_MASK (0x80000000u)
#define CSL_EMIFB_ASYNCCS4CR_SSEL_SHIFT (0x0000001Fu)
#define CSL_EMIFB_ASYNCCS4CR_SSEL_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS4CR_SS_MASK (0x40000000u)
#define CSL_EMIFB_ASYNCCS4CR_SS_SHIFT (0x0000001Eu)
#define CSL_EMIFB_ASYNCCS4CR_SS_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS4CR_BWEM_MASK (0x20000000u)
#define CSL_EMIFB_ASYNCCS4CR_BWEM_SHIFT (0x0000001Du)
#define CSL_EMIFB_ASYNCCS4CR_BWEM_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS4CR_EW_MASK (0x10000000u)
#define CSL_EMIFB_ASYNCCS4CR_EW_SHIFT (0x0000001Cu)
#define CSL_EMIFB_ASYNCCS4CR_EW_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS4CR_WSETUP_MASK (0x0F000000u)
#define CSL_EMIFB_ASYNCCS4CR_WSETUP_SHIFT (0x00000018u)
#define CSL_EMIFB_ASYNCCS4CR_WSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_ASYNCCS4CR_WSTROBE_MASK (0x00FC0000u)
#define CSL_EMIFB_ASYNCCS4CR_WSTROBE_SHIFT (0x00000012u)
#define CSL_EMIFB_ASYNCCS4CR_WSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFB_ASYNCCS4CR_WHOLD_MASK (0x00038000u)
#define CSL_EMIFB_ASYNCCS4CR_WHOLD_SHIFT (0x0000000Fu)
#define CSL_EMIFB_ASYNCCS4CR_WHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFB_ASYNCCS4CR_RSETUP_MASK (0x00007800u)
#define CSL_EMIFB_ASYNCCS4CR_RSETUP_SHIFT (0x0000000Bu)
#define CSL_EMIFB_ASYNCCS4CR_RSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_ASYNCCS4CR_RSTROBE_MASK (0x000007E0u)
#define CSL_EMIFB_ASYNCCS4CR_RSTROBE_SHIFT (0x00000005u)
#define CSL_EMIFB_ASYNCCS4CR_RSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFB_ASYNCCS4CR_RHOLD_MASK (0x0000001Cu)
#define CSL_EMIFB_ASYNCCS4CR_RHOLD_SHIFT (0x00000002u)
#define CSL_EMIFB_ASYNCCS4CR_RHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFB_ASYNCCS4CR_ASIZE_MASK (0x00000003u)
#define CSL_EMIFB_ASYNCCS4CR_ASIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_ASYNCCS4CR_ASIZE_RESETVAL (0x00000000u)
/*----ASIZE Tokens----*/
#define CSL_EMIFB_ASYNCCS4CR_ASIZE_DATA8 (0x00000000u)
#define CSL_EMIFB_ASYNCCS4CR_ASIZE_DATA16 (0x00000001u)
#define CSL_EMIFB_ASYNCCS4CR_ASIZE_DATA32 (0x00000002u)
#define CSL_EMIFB_ASYNCCS4CR_ASIZE_DATA64 (0x00000003u)

#define CSL_EMIFB_ASYNCCS4CR_RESETVAL (0x0FFFFFFCu)

/* SBSCS4CR */

#define CSL_EMIFB_SBSCS4CR_SSEL_MASK (0x80000000u)
#define CSL_EMIFB_SBSCS4CR_SSEL_SHIFT (0x0000001Fu)
#define CSL_EMIFB_SBSCS4CR_SSEL_RESETVAL (0x00000000u)


#define CSL_EMIFB_SBSCS4CR_RD_BE_EN_MASK (0x00000400u)
#define CSL_EMIFB_SBSCS4CR_RD_BE_EN_SHIFT (0x0000000Au)
#define CSL_EMIFB_SBSCS4CR_RD_BE_EN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS4CR_CSEXT_MASK (0x00000200u)
#define CSL_EMIFB_SBSCS4CR_CSEXT_SHIFT (0x00000009u)
#define CSL_EMIFB_SBSCS4CR_CSEXT_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS4CR_READEN_MASK (0x00000100u)
#define CSL_EMIFB_SBSCS4CR_READEN_SHIFT (0x00000008u)
#define CSL_EMIFB_SBSCS4CR_READEN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS4CR_WRLAT_MASK (0x000000C0u)
#define CSL_EMIFB_SBSCS4CR_WRLAT_SHIFT (0x00000006u)
#define CSL_EMIFB_SBSCS4CR_WRLAT_RESETVAL (0x00000000u)
/*----WRLAT Tokens----*/
#define CSL_EMIFB_SBSCS4CR_WRLAT_WRLAT0 (0x00000000u)
#define CSL_EMIFB_SBSCS4CR_WRLAT_WRLAT1 (0x00000001u)
#define CSL_EMIFB_SBSCS4CR_WRLAT_WRLAT2 (0x00000002u)
#define CSL_EMIFB_SBSCS4CR_WRLAT_WRLAT3 (0x00000003u)


#define CSL_EMIFB_SBSCS4CR_RDLAT_MASK (0x0000000Cu)
#define CSL_EMIFB_SBSCS4CR_RDLAT_SHIFT (0x00000002u)
#define CSL_EMIFB_SBSCS4CR_RDLAT_RESETVAL (0x00000000u)
/*----RDLAT Tokens----*/
#define CSL_EMIFB_SBSCS4CR_RDLAT_RDLAT0 (0x00000000u)
#define CSL_EMIFB_SBSCS4CR_RDLAT_RDLAT1 (0x00000001u)
#define CSL_EMIFB_SBSCS4CR_RDLAT_RDLAT2 (0x00000002u)
#define CSL_EMIFB_SBSCS4CR_RDLAT_RDLAT3 (0x00000003u)

#define CSL_EMIFB_SBSCS4CR_SBSIZE_MASK (0x00000003u)
#define CSL_EMIFB_SBSCS4CR_SBSIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_SBSCS4CR_SBSIZE_RESETVAL (0x00000000u)
/*----SBSIZE Tokens----*/
#define CSL_EMIFB_SBSCS4CR_SBSIZE_DATA8 (0x00000000u)
#define CSL_EMIFB_SBSCS4CR_SBSIZE_DATA16 (0x00000001u)
#define CSL_EMIFB_SBSCS4CR_SBSIZE_DATA32 (0x00000002u)
#define CSL_EMIFB_SBSCS4CR_SBSIZE_DATA64 (0x00000003u)

#define CSL_EMIFB_SBSCS4CR_RESETVAL (0x00000000u)

/* ASYNCCS5CR */

#define CSL_EMIFB_ASYNCCS5CR_SSEL_MASK (0x80000000u)
#define CSL_EMIFB_ASYNCCS5CR_SSEL_SHIFT (0x0000001Fu)
#define CSL_EMIFB_ASYNCCS5CR_SSEL_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS5CR_SS_MASK (0x40000000u)
#define CSL_EMIFB_ASYNCCS5CR_SS_SHIFT (0x0000001Eu)
#define CSL_EMIFB_ASYNCCS5CR_SS_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS5CR_BWEM_MASK (0x20000000u)
#define CSL_EMIFB_ASYNCCS5CR_BWEM_SHIFT (0x0000001Du)
#define CSL_EMIFB_ASYNCCS5CR_BWEM_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS5CR_EW_MASK (0x10000000u)
#define CSL_EMIFB_ASYNCCS5CR_EW_SHIFT (0x0000001Cu)
#define CSL_EMIFB_ASYNCCS5CR_EW_RESETVAL (0x00000000u)

#define CSL_EMIFB_ASYNCCS5CR_WSETUP_MASK (0x0F000000u)
#define CSL_EMIFB_ASYNCCS5CR_WSETUP_SHIFT (0x00000018u)
#define CSL_EMIFB_ASYNCCS5CR_WSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_ASYNCCS5CR_WSTROBE_MASK (0x00FC0000u)
#define CSL_EMIFB_ASYNCCS5CR_WSTROBE_SHIFT (0x00000012u)
#define CSL_EMIFB_ASYNCCS5CR_WSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFB_ASYNCCS5CR_WHOLD_MASK (0x00038000u)
#define CSL_EMIFB_ASYNCCS5CR_WHOLD_SHIFT (0x0000000Fu)
#define CSL_EMIFB_ASYNCCS5CR_WHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFB_ASYNCCS5CR_RSETUP_MASK (0x00007800u)
#define CSL_EMIFB_ASYNCCS5CR_RSETUP_SHIFT (0x0000000Bu)
#define CSL_EMIFB_ASYNCCS5CR_RSETUP_RESETVAL (0x0000000Fu)

#define CSL_EMIFB_ASYNCCS5CR_RSTROBE_MASK (0x000007E0u)
#define CSL_EMIFB_ASYNCCS5CR_RSTROBE_SHIFT (0x00000005u)
#define CSL_EMIFB_ASYNCCS5CR_RSTROBE_RESETVAL (0x0000003Fu)

#define CSL_EMIFB_ASYNCCS5CR_RHOLD_MASK (0x0000001Cu)
#define CSL_EMIFB_ASYNCCS5CR_RHOLD_SHIFT (0x00000002u)
#define CSL_EMIFB_ASYNCCS5CR_RHOLD_RESETVAL (0x00000007u)

#define CSL_EMIFB_ASYNCCS5CR_ASIZE_MASK (0x00000003u)
#define CSL_EMIFB_ASYNCCS5CR_ASIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_ASYNCCS5CR_ASIZE_RESETVAL (0x00000000u)
/*----ASIZE Tokens----*/
#define CSL_EMIFB_ASYNCCS5CR_ASIZE_DATA8 (0x00000000u)
#define CSL_EMIFB_ASYNCCS5CR_ASIZE_DATA16 (0x00000001u)
#define CSL_EMIFB_ASYNCCS5CR_ASIZE_DATA32 (0x00000002u)
#define CSL_EMIFB_ASYNCCS5CR_ASIZE_DATA64 (0x00000003u)

#define CSL_EMIFB_ASYNCCS5CR_RESETVAL (0x0FFFFFFCu)

/* SBSCS5CR */

#define CSL_EMIFB_SBSCS5CR_SSEL_MASK (0x80000000u)
#define CSL_EMIFB_SBSCS5CR_SSEL_SHIFT (0x0000001Fu)
#define CSL_EMIFB_SBSCS5CR_SSEL_RESETVAL (0x00000000u)


#define CSL_EMIFB_SBSCS5CR_RD_BE_EN_MASK (0x00000400u)
#define CSL_EMIFB_SBSCS5CR_RD_BE_EN_SHIFT (0x0000000Au)
#define CSL_EMIFB_SBSCS5CR_RD_BE_EN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS5CR_CSEXT_MASK (0x00000200u)
#define CSL_EMIFB_SBSCS5CR_CSEXT_SHIFT (0x00000009u)
#define CSL_EMIFB_SBSCS5CR_CSEXT_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS5CR_READEN_MASK (0x00000100u)
#define CSL_EMIFB_SBSCS5CR_READEN_SHIFT (0x00000008u)
#define CSL_EMIFB_SBSCS5CR_READEN_RESETVAL (0x00000000u)

#define CSL_EMIFB_SBSCS5CR_WRLAT_MASK (0x000000C0u)
#define CSL_EMIFB_SBSCS5CR_WRLAT_SHIFT (0x00000006u)
#define CSL_EMIFB_SBSCS5CR_WRLAT_RESETVAL (0x00000000u)
/*----WRLAT Tokens----*/
#define CSL_EMIFB_SBSCS5CR_WRLAT_WRLAT0 (0x00000000u)
#define CSL_EMIFB_SBSCS5CR_WRLAT_WRLAT1 (0x00000001u)
#define CSL_EMIFB_SBSCS5CR_WRLAT_WRLAT2 (0x00000002u)
#define CSL_EMIFB_SBSCS5CR_WRLAT_WRLAT3 (0x00000003u)


#define CSL_EMIFB_SBSCS5CR_RDLAT_MASK (0x0000000Cu)
#define CSL_EMIFB_SBSCS5CR_RDLAT_SHIFT (0x00000002u)
#define CSL_EMIFB_SBSCS5CR_RDLAT_RESETVAL (0x00000000u)
/*----RDLAT Tokens----*/
#define CSL_EMIFB_SBSCS5CR_RDLAT_RDLAT0 (0x00000000u)
#define CSL_EMIFB_SBSCS5CR_RDLAT_RDLAT1 (0x00000001u)
#define CSL_EMIFB_SBSCS5CR_RDLAT_RDLAT2 (0x00000002u)
#define CSL_EMIFB_SBSCS5CR_RDLAT_RDLAT3 (0x00000003u)

#define CSL_EMIFB_SBSCS5CR_SBSIZE_MASK (0x00000003u)
#define CSL_EMIFB_SBSCS5CR_SBSIZE_SHIFT (0x00000000u)
#define CSL_EMIFB_SBSCS5CR_SBSIZE_RESETVAL (0x00000000u)
/*----SBSIZE Tokens----*/
#define CSL_EMIFB_SBSCS5CR_SBSIZE_DATA8 (0x00000000u)
#define CSL_EMIFB_SBSCS5CR_SBSIZE_DATA16 (0x00000001u)
#define CSL_EMIFB_SBSCS5CR_SBSIZE_DATA32 (0x00000002u)
#define CSL_EMIFB_SBSCS5CR_SBSIZE_DATA64 (0x00000003u)

#define CSL_EMIFB_SBSCS5CR_RESETVAL (0x00000000u)

/* AWCCR */


#define CSL_EMIFB_AWCCR_WP_MASK (0x40000000u)
#define CSL_EMIFB_AWCCR_WP_SHIFT (0x0000001Eu)
#define CSL_EMIFB_AWCCR_WP_RESETVAL (0x00000001u)


#define CSL_EMIFB_AWCCR_TA_MASK (0x00000700u)
#define CSL_EMIFB_AWCCR_TA_SHIFT (0x00000008u)
#define CSL_EMIFB_AWCCR_TA_RESETVAL (0x00000003u)

#define CSL_EMIFB_AWCCR_MEWC_MASK (0x000000FFu)
#define CSL_EMIFB_AWCCR_MEWC_SHIFT (0x00000000u)
#define CSL_EMIFB_AWCCR_MEWC_RESETVAL (0x00000080u)

#define CSL_EMIFB_AWCCR_RESETVAL (0x40000380u)

/* IRR */


#define CSL_EMIFB_IRR_LT_MASK (0x00000004u)
#define CSL_EMIFB_IRR_LT_SHIFT (0x00000002u)
#define CSL_EMIFB_IRR_LT_RESETVAL (0x00000000u)


#define CSL_EMIFB_IRR_AT_MASK (0x00000001u)
#define CSL_EMIFB_IRR_AT_SHIFT (0x00000000u)
#define CSL_EMIFB_IRR_AT_RESETVAL (0x00000000u)

#define CSL_EMIFB_IRR_RESETVAL (0x00000000u)

/* IMR */


#define CSL_EMIFB_IMR_LTM_MASK (0x00000004u)
#define CSL_EMIFB_IMR_LTM_SHIFT (0x00000002u)
#define CSL_EMIFB_IMR_LTM_RESETVAL (0x00000000u)


#define CSL_EMIFB_IMR_ATM_MASK (0x00000001u)
#define CSL_EMIFB_IMR_ATM_SHIFT (0x00000000u)
#define CSL_EMIFB_IMR_ATM_RESETVAL (0x00000000u)

#define CSL_EMIFB_IMR_RESETVAL (0x00000000u)

/* IMSR */


#define CSL_EMIFB_IMSR_LTMSET_MASK (0x00000004u)
#define CSL_EMIFB_IMSR_LTMSET_SHIFT (0x00000002u)
#define CSL_EMIFB_IMSR_LTMSET_RESETVAL (0x00000000u)


#define CSL_EMIFB_IMSR_ATMSET_MASK (0x00000001u)
#define CSL_EMIFB_IMSR_ATMSET_SHIFT (0x00000000u)
#define CSL_EMIFB_IMSR_ATMSET_RESETVAL (0x00000000u)

#define CSL_EMIFB_IMSR_RESETVAL (0x00000000u)

/* IMCR */


#define CSL_EMIFB_IMCR_LTMCLR_MASK (0x00000004u)
#define CSL_EMIFB_IMCR_LTMCLR_SHIFT (0x00000002u)
#define CSL_EMIFB_IMCR_LTMCLR_RESETVAL (0x00000000u)


#define CSL_EMIFB_IMCR_ATMCLR_MASK (0x00000001u)
#define CSL_EMIFB_IMCR_ATMCLR_SHIFT (0x00000000u)
#define CSL_EMIFB_IMCR_ATMCLR_RESETVAL (0x00000000u)

#define CSL_EMIFB_IMCR_RESETVAL (0x00000000u)

/* DDRPHYREV */

#define CSL_EMIFB_DDRPHYREV_DDRPHYIDREV_MASK (0xFFFFFFFFu)
#define CSL_EMIFB_DDRPHYREV_DDRPHYIDREV_SHIFT (0x00000000u)
#define CSL_EMIFB_DDRPHYREV_DDRPHYIDREV_RESETVAL (0x00000000u)

#define CSL_EMIFB_DDRPHYREV_RESETVAL (0x00000000u)

/* DDRPHYC1R */

#define CSL_EMIFB_DDRPHYC1R_DDRPHYCTRL_31_3_MASK (0xFFFFFFF8u)
#define CSL_EMIFB_DDRPHYC1R_DDRPHYCTRL_31_3_SHIFT (0x00000003u)
#define CSL_EMIFB_DDRPHYC1R_DDRPHYCTRL_31_3_RESETVAL (0x00000000u)

#define CSL_EMIFB_DDRPHYC1R_READLAT_MASK (0x00000007u)
#define CSL_EMIFB_DDRPHYC1R_READLAT_SHIFT (0x00000000u)
#define CSL_EMIFB_DDRPHYC1R_READLAT_RESETVAL (0x00000000u)

#define CSL_EMIFB_DDRPHYC1R_RESETVAL (0x00000000u)

/* DDRPHYC2R */

#define CSL_EMIFB_DDRPHYC2R_DDRPHYCTRL_63_32_MASK (0xFFFFFFFFu)
#define CSL_EMIFB_DDRPHYC2R_DDRPHYCTRL_63_32_SHIFT (0x00000000u)
#define CSL_EMIFB_DDRPHYC2R_DDRPHYCTRL_63_32_RESETVAL (0x00000000u)

#define CSL_EMIFB_DDRPHYC2R_RESETVAL (0x00000000u)

/* DDRPHYC3R */

#define CSL_EMIFB_DDRPHYC3R_DDRPHYCTRL_95_64_MASK (0xFFFFFFFFu)
#define CSL_EMIFB_DDRPHYC3R_DDRPHYCTRL_95_64_SHIFT (0x00000000u)
#define CSL_EMIFB_DDRPHYC3R_DDRPHYCTRL_95_64_RESETVAL (0x00000000u)

#define CSL_EMIFB_DDRPHYC3R_RESETVAL (0x00000000u)

#endif
